FROM cjvt-python-env

RUN mkdir -p /project/src/backend_flask
RUN mkdir -p /project/src/pkg
RUN mkdir -p /project/data

COPY src/backend_flask /project/src/backend_flask
COPY src/pkg /project/src/pkg

COPY data/appindex.json /project/data

COPY src/backend_flask/entrypoint.sh /.

COPY src/backend_flask/conf_files/prod_conf.yaml /project

ENTRYPOINT ["/bin/bash", "/entrypoint.sh"]